CentOS 7编译安装PHP 7.4提示No package 'libzip' found或者版本不符合

阅读 (78)
编译安装PHP 7.4提示No package 'libzip' found或者(libzip >= 0.11 libzip != 1.3.1 libzip != 1.7.0),原因是libzip没有安装或者版本太低,解决方法如下:
#卸载老版本的libzip 
yum remove libzip 
#下载安装libzip-1.3.2 
wget https://libzip.org/download/libzip-1.3.2.tar.gz tar -zxvf libzip-1.3.2.tar.gz cd libzip-1.3.2 
./configure 
make && make install

安装完成后,查看是否存在/usr/local/lib/pkgconfig目录,如果存在,执行如下命令来设置PKG_CONFIG_PATH:

export PKG_CONFIG_PATH="/usr/local/lib/pkgconfig/"

上面这句不执行就去安装zip,还是会提示No package 'libzip' found

更新于:2022-02-15 22:03:06
返回顶部